
Foreman - Bug #15372

libvirt: does not merge volume attributes

06/10/2016 08:00 AM - Guido Günther

Status: Closed   

Priority: Normal   

Assignee: Guido Günther   

Category: Compute resources - libvirt   

Target version: 1.12.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3584

  

Description

It's using the CR's attrs instead of the passed in attr.

Associated revisions

Revision 583865ce - 06/10/2016 09:00 AM - Guido Günther

Fixes #15372 - Merge the correct hash when adding new volumes

Use 'attr' passed into the method and not the attrs hash on the cr.

Revision d325a616 - 07/22/2016 10:05 AM - Guido Günther

Fixes #15372 - Merge the correct hash when adding new volumes

Use 'attr' passed into the method and not the attrs hash on the cr.

(cherry picked from commit 583865ce08656fe4eef189e4585b731cdac330d4)

History

#1 - 06/10/2016 08:03 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Guido Günther

- Pull request https://github.com/theforeman/foreman/pull/3584 added

#2 - 06/10/2016 09:04 AM - Dominic Cleal

- Category set to Compute resources - libvirt

- translation missing: en.field_release set to 161

#3 - 06/10/2016 10:04 AM - Guido Günther

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 583865ce08656fe4eef189e4585b731cdac330d4.
